/***************************************************************************
                          GameTimer.cpp  -  description
                             -------------------
    begin                : Sat Apr 1 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "gametimer.h"

GameTimer::GameTimer( QObject *obj) : QObject(obj)
{
	sek = 0;
}

GameTimer::~GameTimer()
{
}

void GameTimer::timerEvent(QTimerEvent *te)
{
	int MIN, SEK;
	QString time;
	sek--;
	MIN = sek/60;
	SEK = sek-((sek/60)*60);

	time.sprintf("%d:%d", MIN, SEK);
	emit timeleft(time);
	if ( sek <= 0 ) {
		killTimers();
		emit timerExit();
	}
}
