/***************************************************************************
                          MyQCanvasView.cpp  -  description
                             -------------------
    begin                : Fri Mar 31 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "MyQCanvasView.h"

MyQCanvasView::MyQCanvasView(QCanvas* viewing, QWidget * parent, 
		const char * name, WFlags f ) : QCanvasView(viewing,parent,name)
{
	paused = false;
}

MyQCanvasView::~MyQCanvasView()
{
}

void MyQCanvasView::contentsMousePressEvent( QMouseEvent *me)
{
	if ( !paused ) {
		if ( me->button() == LeftButton ) {
			emit fire(me->pos().x(), me->pos().y());
			emit fire(me->pos());
		} else if ( me->button() == RightButton ) {
			emit load();
		}
	}
}
