/***************************************************************************
                          MyQCanvasView.h  -  description
                             -------------------
    begin                : Fri Mar 31 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYQWSPRITEFIELDVIEW_H
#define MYQWSPRITEFIELDVIEW_H

#include <qcanvas.h>

/**
  *@author Frank von Daak
  */
class MyQCanvasView : public QCanvasView  {
   Q_OBJECT
public: 
	MyQCanvasView(QCanvas * viewing=0, QWidget * parent=0, const char * name=0, WFlags f=0);
	~MyQCanvasView();
	
	bool paused;

private:
	void contentsMousePressEvent( QMouseEvent *);
	
signals:
	void fire(int x, int y);
	void fire(QPoint pos);
	void load();
};

#endif
