/***************************************************************************
                          gametimer.h  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GAMETIMER_H
#define GAMETIMER_H

#include <qobject.h>

/**
  *@author Frank von Daak
  */

class GameTimer : public QObject {
   Q_OBJECT
public: 
	GameTimer(QObject *object);
	~GameTimer();

	void maxTime(int time) { sek = time; }

signals:
	void timeleft(QString);
	void timerExit();

private:
	void timerEvent(QTimerEvent*);
	int sek;
	
};

#endif
