/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sam Jul  8 05:02:06 CEST 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "startscreen.h"
#include "kinsectizid.h"


//#include <ktrace.h>

static const char *description =
	I18N_NOOP("KInsectizid");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
//ktrace();//DEBUG

 KAboutData aboutData( "kinsectizid", I18N_NOOP("KInsectizid"), VERSION,
		description, KAboutData::License_GPL, 
		"(c) 2000, Frank von Daak");
 aboutData.addAuthor("Frank von Daak", 0, "frank.fun@kpage.de");
 aboutData.addAuthor("Andreas Beckermann", I18N_NOOP("Port to KDE2"), "b_mann@gmx.de");
 KCmdLineArgs::init( argc, argv, &aboutData );
 KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

 KApplication a;
 StartScreen *start = new StartScreen(); //0,0, (WStyle_Customize | WStyle_NoBorder | WStyle_Tool);
 start->setCaption("KInsectizid");
 start->setFixedSize(500,300);
 start->move(kapp->desktop()->width() /2 - 260, 
		kapp->desktop()->height() /2 - 160);
 a.setMainWidget(start);
 start->show();
 return a.exec();
}

